CREATE TABLE irc_avail_context (
    OBJECT_CXT_ID            NUMBER(18, 0),
    OBJECT_CXT_CODE          VARCHAR2(144)    NOT NULL,
    OBJECT_ID                NUMBER(18, 0)    NOT NULL,
    OBJECT_TYPE_CODE         VARCHAR2(120)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    OBJECT_CXT_ID            NUMBER(18, 0),
    OBJECT_CXT_CODE          VARCHAR2(144)    NOT NULL,
    OBJECT_ID                NUMBER(18, 0)    NOT NULL,
    OBJECT_TYPE_CODE         VARCHAR2(120)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_irc_avail_context PRIMARY KEY (OBJECT_CXT_ID, OBJECT_CXT_ID)
);
